curl --request GET \
--url https://public-api.stora.co/2025-09/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.stora.co/2025-09/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.stora.co/2025-09/invoices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.stora.co/2025-09/invoices")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.stora.co/2025-09/invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"invoices": [
{
"id": "inv_195h6kfm9ro15lof",
"amount_due": {
"amount": 5000,
"currency": "GBP",
"formatted": "£50.00"
},
"amount_paid": {
"amount": 4000,
"currency": "GBP",
"formatted": "£40.00"
},
"collection_status": "pending",
"contact": {
"id": "con_195h6kfm9ro15lof"
},
"created_at": null,
"due_date": null,
"finalized_at": null,
"line_items": [
{
"accounting_code": "ACC-CODE",
"description": "Security deposit for XYZ",
"discount_total": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"price": {
"amount": 100000,
"currency": "GBP",
"formatted": "£1,000.00"
},
"proration": false,
"quantity": 1,
"tax": {
"amount": 10000,
"currency": "GBP",
"formatted": "£100.00"
},
"total": {
"amount": 100000,
"currency": "GBP",
"formatted": "£1,000.00"
},
"total_excluding_tax": {
"amount": 90000,
"currency": "GBP",
"formatted": "£900.00"
},
"type": null
},
{
"accounting_code": "ACC-CODE",
"description": "Security deposit for XYZ",
"discount_total": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"price": {
"amount": 100000,
"currency": "GBP",
"formatted": "£1,000.00"
},
"proration": false,
"quantity": 1,
"tax": {
"amount": 10000,
"currency": "GBP",
"formatted": "£100.00"
},
"total": {
"amount": 100000,
"currency": "GBP",
"formatted": "£1,000.00"
},
"total_excluding_tax": {
"amount": 90000,
"currency": "GBP",
"formatted": "£900.00"
},
"type": null
}
],
"number": "ABC-361",
"paid_at": null,
"period_end": null,
"period_start": null,
"post_payment_credit_notes_amount": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"pre_payment_credit_notes_amount": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"purchase_order_number": null,
"refund_status": "not_refunded",
"site": {
"id": "site_14b419f1096013f1"
},
"status": "draft",
"subscription": {
"id": "sub_f7d4fea53ccdefe0"
},
"subtotal": {
"amount": 10000,
"currency": "GBP",
"formatted": "£100.00"
},
"tax": {
"amount": 1000,
"currency": "GBP",
"formatted": "£10.00"
},
"tenancy": {
"id": "ten_acaf3269a573af74"
},
"total": {
"amount": 9000,
"currency": "GBP",
"formatted": "£90.00"
},
"type": "deposit",
"voided_at": null
}
],
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
],
"pagination": {
"count": 1,
"last": 1,
"limit": 50,
"next": null,
"page": 1,
"pages": 1,
"prev": null
}
}
}List all Invoices
Retrieve a list of all invoices.
Required authorization scope: public.invoice:read
curl --request GET \
--url https://public-api.stora.co/2025-09/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.stora.co/2025-09/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.stora.co/2025-09/invoices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.stora.co/2025-09/invoices")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.stora.co/2025-09/invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"invoices": [
{
"id": "inv_195h6kfm9ro15lof",
"amount_due": {
"amount": 5000,
"currency": "GBP",
"formatted": "£50.00"
},
"amount_paid": {
"amount": 4000,
"currency": "GBP",
"formatted": "£40.00"
},
"collection_status": "pending",
"contact": {
"id": "con_195h6kfm9ro15lof"
},
"created_at": null,
"due_date": null,
"finalized_at": null,
"line_items": [
{
"accounting_code": "ACC-CODE",
"description": "Security deposit for XYZ",
"discount_total": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"price": {
"amount": 100000,
"currency": "GBP",
"formatted": "£1,000.00"
},
"proration": false,
"quantity": 1,
"tax": {
"amount": 10000,
"currency": "GBP",
"formatted": "£100.00"
},
"total": {
"amount": 100000,
"currency": "GBP",
"formatted": "£1,000.00"
},
"total_excluding_tax": {
"amount": 90000,
"currency": "GBP",
"formatted": "£900.00"
},
"type": null
},
{
"accounting_code": "ACC-CODE",
"description": "Security deposit for XYZ",
"discount_total": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"price": {
"amount": 100000,
"currency": "GBP",
"formatted": "£1,000.00"
},
"proration": false,
"quantity": 1,
"tax": {
"amount": 10000,
"currency": "GBP",
"formatted": "£100.00"
},
"total": {
"amount": 100000,
"currency": "GBP",
"formatted": "£1,000.00"
},
"total_excluding_tax": {
"amount": 90000,
"currency": "GBP",
"formatted": "£900.00"
},
"type": null
}
],
"number": "ABC-361",
"paid_at": null,
"period_end": null,
"period_start": null,
"post_payment_credit_notes_amount": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"pre_payment_credit_notes_amount": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"purchase_order_number": null,
"refund_status": "not_refunded",
"site": {
"id": "site_14b419f1096013f1"
},
"status": "draft",
"subscription": {
"id": "sub_f7d4fea53ccdefe0"
},
"subtotal": {
"amount": 10000,
"currency": "GBP",
"formatted": "£100.00"
},
"tax": {
"amount": 1000,
"currency": "GBP",
"formatted": "£10.00"
},
"tenancy": {
"id": "ten_acaf3269a573af74"
},
"total": {
"amount": 9000,
"currency": "GBP",
"formatted": "£90.00"
},
"type": "deposit",
"voided_at": null
}
],
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
],
"pagination": {
"count": 1,
"last": 1,
"limit": 50,
"next": null,
"page": 1,
"pages": 1,
"prev": null
}
}
}Authorizations
Bearer Token necessary to use API
Query Parameters
Pagination: Page number
x >= 1Pagination: Limit number of items per page.
1 <= x <= 100Sorting by attribute. Default created_at
created_at, due_date, updated_at Sorting by ASC or DESC direction. Default DESC
ASC, DESC Filter by Contact IDs. Supports multiple values separated by a comma.
Filter by Site IDs. Supports multiple values separated by a comma.
Filter by Subscription IDs. Supports multiple values separated by a comma.
Filter by Tenancy IDs. Supports multiple values separated by a comma.
This endpoint supports expandable responses. For more, see the documentation page.
Filter by status. Supports multiple values separated by a comma.
draft, deleted, open, paid, uncollectible, void Filter by type. Supports multiple values separated by a comma.
subscription, ad_hoc, deposit Filter by collection status. Supports multiple values separated by a comma.
pending, overdue, collected, not_collected Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to updated after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to updated before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to due after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to due before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Was this page helpful?